Subject: Re: 1.3.3: Cant comile binutils 2.11.2 (libiberty)
From: Pavel Tsekov <[email-masked]>
To: "Stefan Andersen (QMP)" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 02 Oct 2001 15:28:21 +0200

Christopher Faylor suggested two solutions
to this problem - either remove the strerror.c
file from build or fetch the latest version
from CVS where this problem is fixed.

you can look the mailing list archives too ;)

"Stefan Andersen (QMP)" wrote:
> 
> Hello
> I have a problem I cant compile binutils (or gcc)
> I have tried different configurations
> ./configure --enable-targets=all
> and then I run make and get the folowing error
> $ make
> .....
> make[1]: Entering directory `/usr/src/binutils-2.11.2/libiberty'
> if [ x"" != x ]; then \
>   gcc -c -DHAVE_CONFIG_H -g -O2 -I. -I./../include  -W -Wall -Wtraditional -pedantic  strerror.c -o pic/strerr
> or.o; \
> else true; fi
> gcc -c -DHAVE_CONFIG_H -g -O2 -I. -I./../include  -W -Wall -Wtraditional -pedantic strerror.c
> strerror.c:463: warning: static declaration for `sys_nerr' follows non-static
> strerror.c:464: conflicting types for `sys_errlist'
> /usr/include/sys/errno.h:23: previous declaration of `sys_errlist'
> make[1]: *** [strerror.o] Error 1
> make[1]: Leaving directory `/usr/src/binutils-2.11.2/libiberty'
> make: *** [all-libiberty] Error 2

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/